org.springframework.data.mapping.model

## Interface FieldNamingStrategy

All Known Implementing Classes:
  CamelCaseAbbreviatingFieldNamingStrategy, CamelCaseSplittingFieldNamingStrategy, PropertyNameFieldNamingStrategy, SnakeCaseFieldNamingStrategy

    public interface FieldNamingStrategy

SPI to determine how to name document fields in cases the field name is not manually defined.

Since:
  1.9
Author:
  Oliver Gierke
See Also:
  `PropertyNameFieldNamingStrategy`, `CamelCaseAbbreviatingFieldNamingStrategy`, `SnakeCaseFieldNamingStrategy`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getFieldName(PersistentProperty<?> property)` Returns the field name to be used for the given `PersistentProperty`.

### Method Detail

#### getFieldName

    String getFieldName(PersistentProperty<?> property)

Returns the field name to be used for the given `PersistentProperty`.

Parameters:
  `property` - must not be null or empty;
Returns: